Bug 1655699 - python3-oauth2 owns /usr/lib/python3.7/site-packages/tests/...
Summary: python3-oauth2 owns /usr/lib/python3.7/site-packages/tests/...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-oauth2
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-03 17:56 UTC by Miro Hrončok
Modified: 2018-12-16 04:22 UTC (History)
4 users (show)

Fixed In Version: python-oauth2-1.9.0-11.post1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-16 04:22:10 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1652091 None CLOSED Update pipenv to 2018.11.14 2019-01-13 09:29:09 UTC

Internal Links: 1652091

Description Miro Hrončok 2018-12-03 17:56:19 UTC
The tests of python3-oauth2 are conflicting with tests of other packages.

As a quick fix, remove that folder. Long term, work with upstream to do either of following:

 A. don't install the tests package
 B. move the tests package into the yarn package

Error: Transaction check error:
  file /usr/lib/python3.7/site-packages/tests/__pycache__/__init__.cpython-37.opt-1.pyc conflicts between attempted installs of python3-oauth2-1.9.0-10.post1.fc29.noarch and python3-yarg-0.1.9-3.fc29.noarch
  file /usr/lib/python3.7/site-packages/tests/__pycache__/__init__.cpython-37.pyc conflicts between attempted installs of python3-oauth2-1.9.0-10.post1.fc29.noarch and python3-yarg-0.1.9-3.fc29.noarch

This was fixed on rawhide only:

https://src.fedoraproject.org/rpms/python-oauth2/c/870dd05cd5b1455d2d7f0dc2d736fe43fbdf46ec?branch=master

Comment 1 Miro Hrončok 2018-12-03 18:00:24 UTC
> B. move the tests package into the yarn package

*the oauth2 package

Comment 2 Fedora Update System 2018-12-06 17:05:53 UTC
python-oauth2-1.9.0-11.post1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-2fbe3c4e41

Comment 3 Fedora Update System 2018-12-07 03:16:42 UTC
python-oauth2-1.9.0-11.post1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-2fbe3c4e41

Comment 4 Fedora Update System 2018-12-16 04:22:10 UTC
python-oauth2-1.9.0-11.post1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.